> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update library

> Update a workspace library



## OpenAPI

````yaml https://api.getcargo.io/openapi.json patch /content/libraries/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /content/libraries/{uuid}:
    patch:
      tags:
        - Content - Libraries
      summary: Update library
      description: Update a workspace library
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Library identifier.
          required: true
          description: Library identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  title: Name
                  description: Library name.
                config:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  title: Config
                  description: Library configuration.
                folderUuid:
                  title: Folder UUID
                  description: Default folder for synced files.
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  library:
                    allOf:
                      - type: object
                        properties:
                          uuid:
                            type: string
                          workspaceUuid:
                            type: string
                          name:
                            type: string
                          extractorSlug:
                            type: string
                          config:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          folderUuid:
                            anyOf:
                              - type: string
                              - type: 'null'
                          lastSyncedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                          deletedAt:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - uuid
                          - workspaceUuid
                          - name
                          - extractorSlug
                          - config
                          - folderUuid
                          - lastSyncedAt
                          - createdAt
                          - updatedAt
                          - deletedAt
                        additionalProperties: false
                      - anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: connector
                              connectorUuid:
                                type: string
                            required:
                              - kind
                              - connectorUuid
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: native
                            required:
                              - kind
                            additionalProperties: false
                    title: Library
                    description: Updated library details.
                required:
                  - library
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````